# -*- coding: utf-8 -*-
from setuphelpers import *


def get_unopkg_path():
    unopkg_path = makepath(programfiles, "LibreOffice", "program", "unopkg.com")

    if not isfile(unopkg_path):
        unopkg_path = makepath(programfiles, "Collabora Office", "program", "unopkg.com")

    if not isfile(unopkg_path):
        error("ERROR: Couldn't find path to unopkg.com, verify your LibreOffice installation")

    return unopkg_path

def install():

    if params.get("install_with_luti", False):
        WAPT.install("tis-libreoffice-still")

    extension_name = glob.glob(f"Grammalecte-fr-v{control.get_software_version()}.oxt")[0]
    install_path = get_unopkg_path().split("\\")[:-1]
    install_path = "\\".join(install_path)
    # run(f'"{get_unopkg_path()}" --help') for further information
    print(f"Install path : {install_path}")
    run(f'"{get_unopkg_path()}" add --shared "{extension_name}"')



def audit():
    extension_name = f"Grammalecte-fr-v{control.get_software_version()}.oxt"

    result = run(f'"{get_unopkg_path()}" list --shared "{extension_name}"')
    if extension_name in result:
        return "OK"
    else:
        return "ERROR"


def uninstall():
    extension_name = f"Grammalecte-fr-v{control.get_software_version()}.oxt"

    run(f'"{get_unopkg_path()}" remove --shared "{extension_name}"')
